List support tickets
curl --request GET \
--url {schemes}://api.upsun.com/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"tickets": [
{
"ticket_id": 123,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"type": "problem",
"subject": "<string>",
"description": "<string>",
"priority": "low",
"followup_tid": "<string>",
"status": "closed",
"recipient": "<string>",
"requester_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"collaborator_ids": [
"<string>"
],
"has_incidents": true,
"due": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"subscription_id": "<string>",
"ticket_group": "<string>",
"support_plan": "<string>",
"affected_url": "<string>",
"queue": "<string>",
"issue_type": "<string>",
"resolution_time": "2023-11-07T05:31:56Z",
"response_time": "2023-11-07T05:31:56Z",
"project_url": "<string>",
"region": "<string>",
"category": "access",
"environment": "env_development",
"ticket_sharing_status": "ts_sent_to_platform",
"application_ticket_url": "<string>",
"infrastructure_ticket_url": "<string>",
"jira": [
{
"id": 123,
"ticket_id": 123,
"issue_id": 123,
"issue_key": "<string>",
"created_at": 123,
"updated_at": 123
}
],
"zd_ticket_url": "<string>"
}
],
"_links": {
"self": {
"title": "<string>",
"href": "<string>"
},
"previous": {
"title": "<string>",
"href": "<string>"
},
"next": {
"title": "<string>",
"href": "<string>"
}
}
}API Reference
List support tickets
GET
/
tickets
List support tickets
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the ticket.
ISO dateformat expected. The time when the support ticket was created.
ISO dateformat expected. The time when the support ticket was updated.
The type of the support ticket.
Available options:
problem, task, incident, question The priority of the support ticket.
Available options:
low, normal, high, urgent The status of the support ticket.
Available options:
closed, deleted, hold, new, open, pending, solved UUID of the ticket requester. Converted from the ZID value.
UUID of the ticket submitter. Converted from the ZID value.
UUID of the ticket assignee. Converted from the ZID value.
Whether or not this ticket has incidents.
ISO dateformat expected. A time that the ticket is due at.
Search string for the ticket subject and description.
Page to be displayed. Defaults to 1.
Last modified on September 25, 2026
Was this page helpful?